From 9ffd49d273536ebcf356c240fbd9a4cfee55f91f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 29 Jul 2026 06:27:01 +0000
Subject: [PATCH] vulkan-loader: upgrade 1.4.350.1 -> 1.4.357.0

5f157b62e build: Update to header v1.4.357
e8b990859 Fix cJSON.c & .h to make clang-format-16 happy
95129070a terminate print_string_ptr output at the real end
2d396283a skip layers missing api_version or implementation_version
7b909b404 Fix errors from commit 8453647
bb0717c37 Update codeql in github actions to v4
5133fccfe bound icd debug list index by capacity in rollback and destroy
2feb31c48 break cyclic meta-layer recursion in loader_add_meta_layer
85fc45750 check khr_android_surface in terminator_CreateAndroidSurfaceKHR
6c47efce5 fix out-of-bounds read in windows_read_manifest_from_d3d_adapters
7ab4d368d gate debug create rollback icd destroy loop on reserved index
80ac6e1e5 reject metal surface creation when extension not enabled
2f8d700c4 Update codeql.yml to v4.36.3
5f72e1b8e zero grown entries in loader_resize_generic_list
9fd87c33d build: Update to header v1.4.356
0aa588e18 fix leaked loader_lock in terminator_CreateHeadlessSurfaceEXT
1baf96f69 reject over-long readlink result in loader_platform_executable_path
b56f8711b Remove support for meta layers enabling other meta layers
299c923e4 Add missing licenses, and adjust some missing copyright
0d210fdf8 build: Update to header v1.4.355
bb937b804 loader: Fix double free on Windows
e069cc27e clamp re-queried physical device count in setup_loader_term_phys_devs
d745850ce null-terminate registry value in windows_get_device_registry_entry
ef26bc764 fix out-of-bounds read in vk_string_validate on truncated utf-8
9a5f88e43 guard android/ios surfaces in DestroySurfaceKHR
848a2b27b clamp group physicalDeviceCount to VK_MAX_DEVICE_GROUP_SIZE
b1744af79 build(deps): bump actions/checkout from 6 to 7
ddaf5c7c2 clamp re-queried extension count in enumeration helpers
ef4ba15c0 clamp re-queried counts in terminator_EnumeratePhysicalDeviceGroups
449cd9cd6 null-terminate device name copies in linux device sort
255c7e3a1 check realloc result before zeroing grown bytes in loader_realloc
b14a119b0 use reserved index in debug messenger and report create rollback
5a5dc839e clamp emulated property copies to the caller-allocated count
b52703d43 Fix formatting in terminator.c
44bbf6e82 loader: Fix sparse format emulation array size
dc775506d log driverUUID instead of deviceUUID for missing device config
6056e5652 build(deps): bump actions/setup-python from 5 to 6
845364708 Use string lists for manifest search paths
8909da092 Check correct return value from realloc
f2eef0701 ci: Indent windows_arm64x to match the other jobs
a26ffce01 Add arm64x test to github actions
ea30f417c Add CMake code to support Arm64X builds
5f343b788 ci: Build and test arm64/arm64ec on Windows on Arm
5aee62b4b loader: Resolve armasm64 by full path for arm64 builds
f6cb6c96a tests: Compare proc-addr behavior, not identity, on arm64x
079c4b624 loader: Implement arm64ec adjustor thunks for unknown functions
8502778e3 loader: Add arm64ec/arm64x build configuration
92f423018 build: Update to header v1.4.354
9f37518d2 index pd_details by matc

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../{vulkan-loader_1.4.350.1.bb => vulkan-loader_1.4.357.0.bb}  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-graphics/vulkan/{vulkan-loader_1.4.350.1.bb => vulkan-loader_1.4.357.0.bb} (97%)

diff --git a/meta/recipes-graphics/vulkan/vulkan-loader_1.4.350.1.bb b/meta/recipes-graphics/vulkan/vulkan-loader_1.4.357.0.bb
similarity index 97%
rename from meta/recipes-graphics/vulkan/vulkan-loader_1.4.350.1.bb
rename to meta/recipes-graphics/vulkan/vulkan-loader_1.4.357.0.bb
index 1180cdc91c..1c21bea5e9 100644
--- a/meta/recipes-graphics/vulkan/vulkan-loader_1.4.350.1.bb
+++ b/meta/recipes-graphics/vulkan/vulkan-loader_1.4.357.0.bb
@@ -10,7 +10,7 @@ SECTION = "libs"
 LICENSE = "Apache-2.0"
 LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=7dbefed23242760aa3475ee42801c5ac"
 SRC_URI = "git://github.com/KhronosGroup/Vulkan-Loader.git;branch=main;protocol=https;tag=vulkan-sdk-${PV}"
-SRCREV = "a9e72c66d5cb79911eb9a9063bf4016dd0a3a123"
+SRCREV = "5f157b62e333c63260d05d81bf66faa216ab0fb8"
 
 REQUIRED_DISTRO_FEATURES = "vulkan"
 
-- 
2.47.1

